using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace zad2
{
    class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            double[] A = new double[N];
            double[] P = new double[N];
            for (int i = 0; i < N; i++)
            {
                string[] s = Console.ReadLine().Split();
                A[i] = double.Parse(s[0]);
                P[i] = double.Parse(s[1]);
            }
            double[] z = new double[N];
            for (int i = 0; i < N; i++)
            {
                for (int j = 0; j < N; j++)
                {
                    if (P[i] <= P[j])
                    z[i] += A[j] / 100 * P[i];
                }
            }
            double zarada = z[0];
            for (int i = 1; i < N; i++)
            {
                if (z[i] > zarada)
                    zarada = z[i];
            }
            Console.WriteLine(zarada);
        }
    }
}